# i18n - paul gampe
%define lang_code de
%define lang_name German

Copyright: distributable
Source: rhl-ig-zseries-%{lang_code}-%{version}.tbz
Release: 1
Name: rhl-ig-zseries-%{lang_code}
Group: Documentation
Version: 7.1
Summary: The Red Hat Linux %{version} %{lang_name} zSeries Installation Guide in HTML.
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The %{name} package contains the Red Hat Linux %{version} %{lang_name}
zSeries Installation Guide in HTML format.  An online copy of the Red Hat
Linux %{version} zSeries Installation Guide is available from the Red Hat
Docs web page at http://www.redhat.com/docs/.

Install the %{name} package if you would like to use
an HTML version of the zSeries Installation Guide from your own machine.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Linux zSeries Installation Guide (%{lang_code})
Comment=The manual for installing Red Hat Linux (in %{lang_name})
Exec=/usr/bin/netscape file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/usr/share/pixmaps/redhat/shadowman-round-mini.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /etc/X11/applnk/Documentation
%dir "/etc/X11/applnk/Documentation/Official Red Hat Linux"
"/etc/X11/applnk/Documentation/Official Red Hat Linux/%{name}.desktop"
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Thu Dec 19 2002 Paul Gampe <pgampe@redhat.com>  7.1-1
- Created
